Search users
curl --request GET \
--url https://api.konbiniapi.com/v1/reddit/search/users \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollectionPage",
"partOf": "https://api.konbiniapi.com/v1/reddit/search/users?q=spez",
"totalItems": 1309,
"cursor": "0",
"nextCursor": "1772217402000",
"next": "https://api.konbiniapi.com/v1/reddit/search/users?q=spez&cursor=t2_user_2&count=25",
"itemCount": 30,
"orderedItems": [
{
"id": "https://www.reddit.com/user/spez/",
"url": "https://www.reddit.com/user/spez/",
"entityId": "t2_4x25quk",
"preferredUsername": "spez",
"name": "Steve Huffman",
"icon": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
},
"role": "admin",
"summary": "Reddit CEO",
"published": "2005-12-08T07:46:43.000Z",
"isVerified": true,
"isEmployee": true,
"isMod": false,
"isPremium": false,
"isSearchable": true,
"isFollowable": true,
"isAdult": false,
"score": 999999,
"postScore": 555555,
"commentScore": 444444,
"awarderScore": 123,
"awardeeScore": 321,
"status": "active",
"image": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
}
}
]
}
}Search
Search users
Searches public Reddit users across the platform.
GET
/
v1
/
reddit
/
search
/
users
Search users
curl --request GET \
--url https://api.konbiniapi.com/v1/reddit/search/users \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollectionPage",
"partOf": "https://api.konbiniapi.com/v1/reddit/search/users?q=spez",
"totalItems": 1309,
"cursor": "0",
"nextCursor": "1772217402000",
"next": "https://api.konbiniapi.com/v1/reddit/search/users?q=spez&cursor=t2_user_2&count=25",
"itemCount": 30,
"orderedItems": [
{
"id": "https://www.reddit.com/user/spez/",
"url": "https://www.reddit.com/user/spez/",
"entityId": "t2_4x25quk",
"preferredUsername": "spez",
"name": "Steve Huffman",
"icon": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
},
"role": "admin",
"summary": "Reddit CEO",
"published": "2005-12-08T07:46:43.000Z",
"isVerified": true,
"isEmployee": true,
"isMod": false,
"isPremium": false,
"isSearchable": true,
"isFollowable": true,
"isAdult": false,
"score": 999999,
"postScore": 555555,
"commentScore": 444444,
"awarderScore": 123,
"awardeeScore": 321,
"status": "active",
"image": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
}
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.konbiniapi.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Query Parameters
Search query
Minimum string length:
1Example:
"askreddit"
Number of users to fetch (maximum: 100)
Required range:
1 <= x <= 100Example:
25
Pagination cursor
Example:
"0"
Response
Returns matching users
Show child attributes
Show child attributes
⌘I